@echo off
cls

REM Procedimento de desinstalao dos Logos do tema "carcass"
REM 1 de outubro de 1998
REM
REM Angelo Arede, email: dynamite@rio.nutecnet.com.br
REM
REM This file must be run from Windows 95!

REM ====================================================================================

    echo ===============================================================================
    echo                                  carcass Theme
    echo                         Programa de desinstalacao dos Logos
    echo                            por Angelo "Dynamite" Arede
    echo                              1 de outubro de 1998
    echo ===============================================================================
    goto windows

REM ====================================================================================

REM Check for Windows environment
:windows
    if "%windir%"=="" goto no_win
    goto source

REM Check for source files.
:source
    if not exist %windir%\logos.w95 goto no_logos
    if not exist %windir%\logow.w95 goto no_logow
    goto uninstall

REM ====================================================================================

REM Uninstall logos
:uninstall
    echo 
    echo Aguarde enquanto o windows desinstala os Logos...
    if exist c:\logo.sys if not exist c:\logo.car rename c:\logo.sys logo.car
    if exist c:\logo.sys del c:\logo.sys
    if exist c:\logo.w95 rename c:\logo.w95 logo.sys
    if exist %windir%\logow.sys if not exist %windir%\logow.car rename %windir%\logow.sys logow.car
    if exist %windir%\logow.sys del %windir%\logow.sys
    rename %windir%\logow.w95 logow.sys
    if exist %windir%\logos.sys if not exist %windir%\logos.car rename %windir%\logos.sys logos.car
    if exist %windir%\logos.sys del %windir%\logos.sys
    rename %windir%\logos.w95 logos.sys
    goto done

REM ====================================================================================

REM Display done message
:done
    echo 
    echo Logos do Tema "carcass" desinstalados com sucesso.
    goto end

REM ====================================================================================

REM Print errormessage
:no_win
  echo 
  echo O programa de desinstalacao nao detectou o sistema Microsoft Windows 95.
  echo Reinicie Windows 95 e tente outra vez.
  goto end

REM Print errormessage
:no_logos
  echo 
  echo O programa de desinstalacao nao encontrou a copia de seguranca do logo de finalizacao do Tema.
  echo Sem esta copia de seguranca e impossivel desinstalar os logos do Tema.
  goto end

REM Print errormessage
:no_logow
  echo 
  echo O programa de desinstalacao nao encontrou a copia de seguranca do logo de desligamento do Tema.
  echo Sem esta copia de seguranca e impossivel desinstalar os logos do Tema.
  goto end

REM ====================================================================================

REM End.
:end
  echo 
